#pragma once
#include <algorithm>
#include <string>
#include <vector>

namespace schneide
{
std::string join(
  std::vector<std::string> const& options, std::string const& separator);

std::vector<std::string> split(std::string const& message, char delim);
std::vector<std::string> split(
  std::string const& message, std::vector<std::string> const& delimiter);

std::string toLower(std::string rhs);

}  // namespace schneide